[arch-commits] Commit in ypbind-mt/trunk (PKGBUILD ypbind)

Eric Bélanger eric at archlinux.org
Wed Apr 29 01:08:41 EDT 2009


    Date: Wednesday, April 29, 2009 @ 01:08:41
  Author: eric
Revision: 36959

upgpkg: ypbind-mt 1.23.1-1

Modified:
  ypbind-mt/trunk/PKGBUILD
  ypbind-mt/trunk/ypbind

----------+
 PKGBUILD |   23 +++++++++++++----------
 ypbind   |    4 +++-
 2 files changed, 16 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-29 05:07:46 UTC (rev 36958)
+++ PKGBUILD	2009-04-29 05:08:41 UTC (rev 36959)
@@ -2,23 +2,26 @@
 # Maintainer: judd <jvinet at zeroflux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=ypbind-mt
-pkgver=1.20.4
+pkgver=1.23.1
 pkgrel=1
 pkgdesc="A multi-threaded implementation of a NIS binding daemon"
 arch=(i686 x86_64)
 url="http://www.linux-nis.org"
+license=('GPL2')
 depends=('portmap' 'openslp')
-backup=('etc/yp.conf')
+backup=('etc/yp.conf' 'etc/conf.d/ypbind')
 source=(ftp://ftp.kernel.org/pub/linux/utils/net/NIS/$pkgname-$pkgver.tar.bz2 \
-        ypbind)
-md5sums=('266d2fb625d5511c4c5cc54a03bea00a' '860c96e4ac9354dcf4ca691d6218c469')
+        ypbind ypbind.conf)
+md5sums=('6a4123675b1d18d9a40eb3c00798533c' 'e43835ecebaa5966c6f00ed7f7a7ac78'\
+         '229309a989abad27703ac2e6d07dc7ae')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --disable-dbus-nm
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --disable-dbus-nm || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
-  install -D -m644 etc/yp.conf $startdir/pkg/etc/yp.conf
-  install -D -m755 ../ypbind $startdir/pkg/etc/rc.d/ypbind
-  install -d -m755 $startdir/pkg/var/yp/binding
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 etc/yp.conf $pkgdir/etc/yp.conf || return 1
+  install -D -m755 ../ypbind $pkgdir/etc/rc.d/ypbind || return 1
+  install -D -m644 ../ypbind.conf $pkgdir/etc/conf.d/ypbind || return 1
+  install -d -m755 $pkgdir/var/yp/binding || return 1
 }

Modified: ypbind
===================================================================
--- ypbind	2009-04-29 05:07:46 UTC (rev 36958)
+++ ypbind	2009-04-29 05:08:41 UTC (rev 36959)
@@ -2,11 +2,13 @@
 
 . /etc/rc.conf
 . /etc/rc.d/functions
+. /etc/conf.d/ypbind
 
 case "$1" in
   start)
     stat_busy "Starting NIS Bind Daemon"
-    /usr/sbin/ypbind
+    [ -f /etc/defaultdomain ] && /bin/domainname -F /etc/defaultdomain
+    /usr/sbin/ypbind $YPBIND_ARGS
     if [ $? -gt 0 ]; then
       stat_fail
     else



More information about the arch-commits mailing list